<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: DynamicUI Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_dynamic_u_i-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">DynamicUI Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="dynamicui_8h_source.html">dynamicui.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for DynamicUI:</div>
<div class="dyncontent">
<div class="center"><img src="class_dynamic_u_i__inherit__graph.png" border="0" usemap="#a_dynamic_u_i_inherit__map" alt="Inheritance graph"/></div>
<map name="a_dynamic_u_i_inherit__map" id="a_dynamic_u_i_inherit__map">
<area shape="rect" title=" " alt="" coords="5,123,177,555"/>
<area shape="rect" title=" " alt="" coords="43,5,140,75"/>
<area shape="poly" title=" " alt="" coords="94,89,94,123,89,123,89,89"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for DynamicUI:</div>
<div class="dyncontent">
<div class="center"><img src="class_dynamic_u_i__coll__graph.png" border="0" usemap="#a_dynamic_u_i_coll__map" alt="Collaboration graph"/></div>
<map name="a_dynamic_u_i_coll__map" id="a_dynamic_u_i_coll__map">
<area shape="rect" title=" " alt="" coords="28,331,200,741"/>
<area shape="rect" title=" " alt="" coords="5,101,103,171"/>
<area shape="poly" title=" " alt="" coords="64,185,86,331,81,331,59,186"/>
<area shape="rect" href="class_data_frame.html" title=" " alt="" coords="127,5,223,267"/>
<area shape="poly" title=" " alt="" coords="158,267,151,314,145,314,153,266"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-slots" name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:ac06db3dc0347f9a8fa595f30a99dad1c" id="r_ac06db3dc0347f9a8fa595f30a99dad1c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac06db3dc0347f9a8fa595f30a99dad1c">openPlotWindow</a> ()</td></tr>
<tr class="separator:ac06db3dc0347f9a8fa595f30a99dad1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5db3df790ea5fa8bc3cc8c9c6a106eae" id="r_a5db3df790ea5fa8bc3cc8c9c6a106eae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5db3df790ea5fa8bc3cc8c9c6a106eae">openStatWindow</a> ()</td></tr>
<tr class="separator:a5db3df790ea5fa8bc3cc8c9c6a106eae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c9a96960114ff012c70264b74b5cf0" id="r_a64c9a96960114ff012c70264b74b5cf0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a64c9a96960114ff012c70264b74b5cf0">saveToPdf</a> (const QString &amp;fileName)</td></tr>
<tr class="separator:a64c9a96960114ff012c70264b74b5cf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3b6466a5848d6ff15e963fe61e6e61d" id="r_ae3b6466a5848d6ff15e963fe61e6e61d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae3b6466a5848d6ff15e963fe61e6e61d">updateDateTime</a> ()</td></tr>
<tr class="separator:ae3b6466a5848d6ff15e963fe61e6e61d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d41e70e20dcc74544dca58ed239630b" id="r_a3d41e70e20dcc74544dca58ed239630b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3d41e70e20dcc74544dca58ed239630b">saveToPdfButtonClicked</a> ()</td></tr>
<tr class="separator:a3d41e70e20dcc74544dca58ed239630b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a374b18830cdf4ed4c8a4e0cebd80c930" id="r_a374b18830cdf4ed4c8a4e0cebd80c930"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a374b18830cdf4ed4c8a4e0cebd80c930">expandWorkSpace</a> ()</td></tr>
<tr class="separator:a374b18830cdf4ed4c8a4e0cebd80c930"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a811040091eba94cfbd1e1af1d7b10728" id="r_a811040091eba94cfbd1e1af1d7b10728"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a811040091eba94cfbd1e1af1d7b10728">DynamicUI</a> (QWidget *parent=nullptr)</td></tr>
<tr class="separator:a811040091eba94cfbd1e1af1d7b10728"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a429935115b2fbebd9e5402046760dbc7" id="r_a429935115b2fbebd9e5402046760dbc7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a429935115b2fbebd9e5402046760dbc7">DynamicUI</a> (QWidget *parent=nullptr, const QString &amp;filePath=&quot;&quot;)</td></tr>
<tr class="separator:a429935115b2fbebd9e5402046760dbc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae57d3a38008847a8d76836006959d11c" id="r_ae57d3a38008847a8d76836006959d11c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae57d3a38008847a8d76836006959d11c">~DynamicUI</a> ()</td></tr>
<tr class="separator:ae57d3a38008847a8d76836006959d11c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43e462afdf6ae64e6e2e1bbc438e82b6" id="r_a43e462afdf6ae64e6e2e1bbc438e82b6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_data_frame.html">DataFrame</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a43e462afdf6ae64e6e2e1bbc438e82b6">df</a> ()</td></tr>
<tr class="separator:a43e462afdf6ae64e6e2e1bbc438e82b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65b793b77bad9e546f0252bf2f8abf14" id="r_a65b793b77bad9e546f0252bf2f8abf14"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a65b793b77bad9e546f0252bf2f8abf14">getContentWidget</a> ()</td></tr>
<tr class="separator:a65b793b77bad9e546f0252bf2f8abf14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e01e5af44026cf74e0ff144ab7e978" id="r_aa3e01e5af44026cf74e0ff144ab7e978"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa3e01e5af44026cf74e0ff144ab7e978">addObject</a> (<a class="el" href="class_t_container.html">TContainer</a> *tc)</td></tr>
<tr class="separator:aa3e01e5af44026cf74e0ff144ab7e978"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a59083b311b8f0ac9dc696ed459175f3a" id="r_a59083b311b8f0ac9dc696ed459175f3a"><td class="memItemLeft" align="right" valign="top">QPoint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a59083b311b8f0ac9dc696ed459175f3a">widgetSpawn</a></td></tr>
<tr class="separator:a59083b311b8f0ac9dc696ed459175f3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7a0ade2b1f4c79dcb76285bc001efe57" id="r_a7a0ade2b1f4c79dcb76285bc001efe57"><td class="memItemLeft" align="right" valign="top">QVector&lt; <a class="el" href="class_t_container.html">TContainer</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7a0ade2b1f4c79dcb76285bc001efe57">objects</a></td></tr>
<tr class="separator:a7a0ade2b1f4c79dcb76285bc001efe57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec9a6ae025e87e65466e45e2ca68b718" id="r_aec9a6ae025e87e65466e45e2ca68b718"><td class="memItemLeft" align="right" valign="top">Ui::DynamicUI *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aec9a6ae025e87e65466e45e2ca68b718">ui</a></td></tr>
<tr class="separator:aec9a6ae025e87e65466e45e2ca68b718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adade47eeabb865819db19d0c84c2bc50" id="r_adade47eeabb865819db19d0c84c2bc50"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#adade47eeabb865819db19d0c84c2bc50">_filePath</a></td></tr>
<tr class="separator:adade47eeabb865819db19d0c84c2bc50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a929e5a6b56ff6451c267166bc9c5f46d" id="r_a929e5a6b56ff6451c267166bc9c5f46d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_data_frame.html">DataFrame</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a929e5a6b56ff6451c267166bc9c5f46d">_df</a></td></tr>
<tr class="separator:a929e5a6b56ff6451c267166bc9c5f46d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedd96653b2325479b9b46a380d6a339c" id="r_aedd96653b2325479b9b46a380d6a339c"><td class="memItemLeft" align="right" valign="top">QScrollArea *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aedd96653b2325479b9b46a380d6a339c">sa</a></td></tr>
<tr class="separator:aedd96653b2325479b9b46a380d6a339c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51b816df63026acc58edae63541ffbc9" id="r_a51b816df63026acc58edae63541ffbc9"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a51b816df63026acc58edae63541ffbc9">contentWidget</a></td></tr>
<tr class="separator:a51b816df63026acc58edae63541ffbc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a811040091eba94cfbd1e1af1d7b10728" name="a811040091eba94cfbd1e1af1d7b10728"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a811040091eba94cfbd1e1af1d7b10728">&#9670;&#160;</a></span>DynamicUI() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">DynamicUI::DynamicUI </td>
          <td>(</td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>parent</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a429935115b2fbebd9e5402046760dbc7" name="a429935115b2fbebd9e5402046760dbc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a429935115b2fbebd9e5402046760dbc7">&#9670;&#160;</a></span>DynamicUI() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DynamicUI::DynamicUI </td>
          <td>(</td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>parent</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>filePath</em><span class="paramdefsep"> = </span><span class="paramdefval">&quot;&quot;</span></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae57d3a38008847a8d76836006959d11c" name="ae57d3a38008847a8d76836006959d11c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae57d3a38008847a8d76836006959d11c">&#9670;&#160;</a></span>~DynamicUI()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DynamicUI::~DynamicUI </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa3e01e5af44026cf74e0ff144ab7e978" name="aa3e01e5af44026cf74e0ff144ab7e978"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3e01e5af44026cf74e0ff144ab7e978">&#9670;&#160;</a></span>addObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DynamicUI::addObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_t_container.html">TContainer</a> *</td>          <td class="paramname"><span class="paramname"><em>tc</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a43e462afdf6ae64e6e2e1bbc438e82b6" name="a43e462afdf6ae64e6e2e1bbc438e82b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43e462afdf6ae64e6e2e1bbc438e82b6">&#9670;&#160;</a></span>df()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_data_frame.html">DataFrame</a> DynamicUI::df </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a374b18830cdf4ed4c8a4e0cebd80c930" name="a374b18830cdf4ed4c8a4e0cebd80c930"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a374b18830cdf4ed4c8a4e0cebd80c930">&#9670;&#160;</a></span>expandWorkSpace</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DynamicUI::expandWorkSpace </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a65b793b77bad9e546f0252bf2f8abf14" name="a65b793b77bad9e546f0252bf2f8abf14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65b793b77bad9e546f0252bf2f8abf14">&#9670;&#160;</a></span>getContentWidget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QWidget * DynamicUI::getContentWidget </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac06db3dc0347f9a8fa595f30a99dad1c" name="ac06db3dc0347f9a8fa595f30a99dad1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac06db3dc0347f9a8fa595f30a99dad1c">&#9670;&#160;</a></span>openPlotWindow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DynamicUI::openPlotWindow </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5db3df790ea5fa8bc3cc8c9c6a106eae" name="a5db3df790ea5fa8bc3cc8c9c6a106eae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5db3df790ea5fa8bc3cc8c9c6a106eae">&#9670;&#160;</a></span>openStatWindow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DynamicUI::openStatWindow </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a64c9a96960114ff012c70264b74b5cf0" name="a64c9a96960114ff012c70264b74b5cf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64c9a96960114ff012c70264b74b5cf0">&#9670;&#160;</a></span>saveToPdf</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DynamicUI::saveToPdf </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>fileName</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3d41e70e20dcc74544dca58ed239630b" name="a3d41e70e20dcc74544dca58ed239630b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d41e70e20dcc74544dca58ed239630b">&#9670;&#160;</a></span>saveToPdfButtonClicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DynamicUI::saveToPdfButtonClicked </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae3b6466a5848d6ff15e963fe61e6e61d" name="ae3b6466a5848d6ff15e963fe61e6e61d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3b6466a5848d6ff15e963fe61e6e61d">&#9670;&#160;</a></span>updateDateTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DynamicUI::updateDateTime </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a929e5a6b56ff6451c267166bc9c5f46d" name="a929e5a6b56ff6451c267166bc9c5f46d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a929e5a6b56ff6451c267166bc9c5f46d">&#9670;&#160;</a></span>_df</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_data_frame.html">DataFrame</a> DynamicUI::_df</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adade47eeabb865819db19d0c84c2bc50" name="adade47eeabb865819db19d0c84c2bc50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adade47eeabb865819db19d0c84c2bc50">&#9670;&#160;</a></span>_filePath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString DynamicUI::_filePath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a51b816df63026acc58edae63541ffbc9" name="a51b816df63026acc58edae63541ffbc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51b816df63026acc58edae63541ffbc9">&#9670;&#160;</a></span>contentWidget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QWidget* DynamicUI::contentWidget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a0ade2b1f4c79dcb76285bc001efe57" name="a7a0ade2b1f4c79dcb76285bc001efe57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a0ade2b1f4c79dcb76285bc001efe57">&#9670;&#160;</a></span>objects</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt;<a class="el" href="class_t_container.html">TContainer</a>*&gt; DynamicUI::objects</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aedd96653b2325479b9b46a380d6a339c" name="aedd96653b2325479b9b46a380d6a339c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedd96653b2325479b9b46a380d6a339c">&#9670;&#160;</a></span>sa</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QScrollArea* DynamicUI::sa</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aec9a6ae025e87e65466e45e2ca68b718" name="aec9a6ae025e87e65466e45e2ca68b718"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec9a6ae025e87e65466e45e2ca68b718">&#9670;&#160;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::DynamicUI* DynamicUI::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a59083b311b8f0ac9dc696ed459175f3a" name="a59083b311b8f0ac9dc696ed459175f3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59083b311b8f0ac9dc696ed459175f3a">&#9670;&#160;</a></span>widgetSpawn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QPoint DynamicUI::widgetSpawn</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="dynamicui_8h_source.html">dynamicui.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="dynamicui_8cpp.html">dynamicui.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
